package org.colllib.util.ellibs;

/**
 * This file is part of CollLib released under the terms of the LGPL V3.0.
 * See the file licenses/lgpl-3.0.txt for details.
 * 
 * @author marcel.billen
 */
public class NumberLib {
   private NumberLib() {}

   public static Integer intvalue(String s) {
      return s == null ? null : Integer.parseInt(s);
   }
   
   public static Long longvalue(String s) {
      return s == null ? null : Long.parseLong(s);
   }
   
   public static Double doublevalue(String s) {
      return s == null ? null : Double.parseDouble(s);
   }
}

